<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useStepOutputs](./react.usestepoutputs.md)

## useStepOutputs() function

create a parallel array of output names for the steps

<b>Signature:</b>

```typescript
export declare function useStepOutputs(workflow: Workflow): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  workflow | Workflow | The workflow instance |

<b>Returns:</b>

string\[\]


